#ifndef TMHistogrammingGlobalPixelZDistRef_H
#define TMHistogrammingGlobalPixelZDistRef_H

#include "TMHistogramming.h"

class TH1F;

class TMHistogrammingGlobalPixelZDistRef : public TMHistogramming {
 public:
  TMHistogrammingGlobalPixelZDistRef();
  virtual ~TMHistogrammingGlobalPixelZDistRef();
  
  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:
  TH1F    *fTotal;
  TH1F    *fInner;
  TH1F    *fOuter;

};

#endif
